package eu.digitalconcepts.dcgw.api.device;

import eu.digitalconcepts.dcgw.api.Message;


/**
 * JSON container to access a single device.
 * 
 * 
 * @author  Digital Concepts GmbH, T. Hennerich
 */
public class DeviceMessage extends Message
{
	// ===================================================================================================================================
	// Field Variables
	// ===================================================================================================================================
	
	private Device device;

	
	// ===================================================================================================================================
	// Getter / Setter
	// ===================================================================================================================================

	public Device getDevice()
    {
    	return device;
    }

	public void setDevice(Device pDevice)
    {
    	device = pDevice;
    }
}
