package eu.digitalconcepts.dcgw.api.device;

import eu.digitalconcepts.dcgw.api.profile.Direction;


/**
 * Definition of a supported EEP of a device.
 * 
 * 
 * @author  Digital Concepts GmbH, T. Hennerich 
 */
public class Eep
{
	// ===================================================================================================================================
	// Field Variables
	// ===================================================================================================================================

	private Direction direction;
	
	private String eep;
	
	private String eepVariation;
	
	private String manufacturer;

	private String version;

	
	// ===================================================================================================================================
	// Getter / Setter
	// ===================================================================================================================================

	public Direction getDirection()
	{
		return direction;
	}
	
	public void setDirection(Direction pDirection)
	{
		direction = pDirection;
	}
	
	public String getEep()
	{
		return eep;
	}

	public void setEep(String pEep)
	{
		eep = pEep;
	}

	public String getEepVariation()
	{
		return eepVariation;
	}

	public void setEepVariation(String pEepVariation)
	{
		eepVariation = pEepVariation;
	}
	
	public String getManufacturer()
	{
		return manufacturer;
	}

	public void setManufacturer(String pManufacturer)
	{
		manufacturer = pManufacturer;
	}

	public String getVersion()
	{
		return version;
	}

	public void setVersion(String pVersion)
	{
		version = pVersion;
	}
}
