package eu.digitalconcepts.dcgw.api.profile;



/**
 * Possible value of a function.
 * 
 * 
 * @author  Digital Concepts GmbH, T. Hennerich
 */
public class Value
{
	// ===================================================================================================================================
	// Field Variables
	// ===================================================================================================================================

	/**
	 * Value as string key if available. 
	 */
	private String value;
	
	/**
	 * Description of value in English.
	 */
	private String meaning;
	
	/**
	 * Logical range of value if available.
	 */
	private Range range;

	
	// ===================================================================================================================================
	// Getter / Setter
	// ===================================================================================================================================

	public String getValue()
	{
		return value;
	}

	public void setValue(String pValue)
	{
		value = pValue;
	}

	public String getMeaning()
	{
		return meaning;
	}

	public void setMeaning(String pMeaning)
	{
		meaning = pMeaning;
	}

	public Range getRange()
	{
		return range;
	}

	public void setRange(Range pRange)
	{
		range = pRange;
	}
}
