package eu.digitalconcepts.dcgw.api.telegram;

import java.util.ArrayList;
import java.util.List;

import com.fasterxml.jackson.annotation.JsonProperty;

import eu.digitalconcepts.dcgw.api.Message;


/**
 * JSON container of last state telegrams.
 * 
 * 
 * @author  Digital Concepts GmbH, T. Hennerich
 */
public class StatesMessage extends Message
{
	// ===================================================================================================================================
	// Field Variables
	// ===================================================================================================================================

	@JsonProperty("states")
	private List<Telegram> telegrams = new ArrayList<Telegram>();

	
	// ===================================================================================================================================
	// Getter / Setter
	// ===================================================================================================================================

	public List<Telegram> getStates()
	{
		return telegrams;
	}
	
	public void setStates(List<Telegram>pTelegrams) 
	{
		telegrams = pTelegrams;
	}
}
