package eu.digitalconcepts.dcgw.api.device;

import java.util.ArrayList;
import java.util.List;

import eu.digitalconcepts.dcgw.api.Message;



/**
 * JSON container to access devices list.
 * 
 * 
 * @author  Digital Concepts GmbH, T. Hennerich
 */
public class DevicesMessage extends Message
{
	// ===================================================================================================================================
	// Field Variables
	// ===================================================================================================================================
	
	private List<Device> devices = new ArrayList<Device>();

	
	// ===================================================================================================================================
	// Getter / Setter
	// ===================================================================================================================================

	public List<Device> getDevices() 
	{
		return devices;
	}
	
	public void setDevices(List<Device> pDevices) 
	{
		devices= pDevices;
	}
}
