package eu.digitalconcepts.dcgw.api.profile;

import java.util.ArrayList;
import java.util.List;

import eu.digitalconcepts.dcgw.api.Message;



/**
 * JSON container of profiles.
 * 
 * 
 * @author  Digital Concepts GmbH, T. Hennerich
 */
public class ProfilesMessage extends Message
{
	// ===================================================================================================================================
	// Field Variables
	// ===================================================================================================================================
	
	private List<Profile> profiles = new ArrayList<Profile>();

	
	// ===================================================================================================================================
	// Getter / Setter
	// ===================================================================================================================================

	public List<Profile> getProfiles()
    {
    	return profiles;
    }
	
	public void setProfiles(List<Profile> pProfiles)
    {
    	profiles = pProfiles;
    }
}
