package eu.digitalconcepts.dcgw.api.profile;



/**
 * Variation information of a standard profile.
 * 
 * 
 * @author  Digital Concepts GmbH, T. Hennerich
 */
public class Variation 
{
	// ===================================================================================================================================
	// Field Variables
	// ===================================================================================================================================

	/**
	 * Manufacturer of the EEP variation.
	 */
	private String manufacturer;
	
	/**
	 * Device name(s) of manufacturer of the EEP variation.
	 */
	private String eepVariation;

	/**
	 * Version of profile or profile variation
	 */
	private String version;
	
	
	// ===================================================================================================================================
	// Getter / Setter
	// ===================================================================================================================================

	public String getManufacturer()
    {
    	return manufacturer;
    }

	public void setManufacturer(String pManufacturer)
    {
    	manufacturer = pManufacturer;
    }

	public String getEepVariation()
    {
    	return eepVariation;
    }

	public void setEepVariation(String pDevice)
    {
    	eepVariation = pDevice;
    }

	public String getVersion()
	{
		return version;
	}

	public void setVersion(String pVersion)
	{
		version = pVersion;
	}
}
