package eu.digitalconcepts.dcgw.api.system;



/**
 * JSON entity for detailed system info.
 * 
 * 
 * @author  Digital Concepts GmbH, T. Hennerich
 */
public class SystemInfo
{
	// ===================================================================================================================================
	// Field Variables
	// ===================================================================================================================================
	
	private String coreVersion;
	
	private String baseId;
	
	private int possibleBaseIDChanges;
	
	private String chipId;
	
	private String chipVersion;
	
	
	// ===================================================================================================================================
	// Getter / Setter
	// ===================================================================================================================================

	public String getCoreVersion()
	{
		return coreVersion;
	}

	public void setCoreVersion(String coreVersion)
	{
		this.coreVersion = coreVersion;
	}

	public String getBaseId()
	{
		return baseId;
	}

	public void setBaseId(String pBaseId)
	{
		baseId = pBaseId;
	}
	
	public int getPossibleBaseIdChanges()
	{
		return possibleBaseIDChanges;
	}

	public void setPossibleBaseIdChanges(int possibleBaseIdChanges)
	{
		this.possibleBaseIDChanges = possibleBaseIdChanges;
	}

	public String getChipId()
	{
		return chipId;
	}

	public void setChipId(String chipID)
	{
		this.chipId = chipID;
	}

	public String getChipVersion()
	{
		return chipVersion;
	}

	public void setChipVersion(String pChipVersion)
	{
		chipVersion = pChipVersion;
	}
}