package eu.digitalconcepts.dcgw.api.telegram;

import java.util.ArrayList;
import java.util.List;

import eu.digitalconcepts.dcgw.api.Message;


/**
 * JSON container of telegrams.
 * 
 *
 * @author  Digital Concepts GmbH, T. Hennerich 
 */
public class TelegramsMessage extends Message
{
	// ===================================================================================================================================
	// Field Variables
	// ===================================================================================================================================

	private List<Telegram> telegrams = new ArrayList<Telegram>();

	
	// ===================================================================================================================================
	// Getter / Setter
	// ===================================================================================================================================

	public List<Telegram> getTelegrams()
	{
		return telegrams;
	}
	
	public void setTelegrams(List<Telegram>pTelegrams) 
	{
		telegrams = pTelegrams;
	}
}
